Skip to main content
POST
/
api2
/
v1
/
projects
/
{projectUid}
/
references
Create project reference file
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/references \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "note": "<string>"
}
'
{
  "id": "<string>",
  "uid": "<string>",
  "filename": "<string>",
  "note": "<string>",
  "dateCreated": "2023-11-07T05:31:56Z",
  "createdBy": {
    "firstName": "<string>",
    "lastName": "<string>",
    "userName": "<string>",
    "email": "<string>",
    "role": "SYS_ADMIN",
    "id": "<string>",
    "uid": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Headers

Content-Disposition
string

Required for application/octet-stream.
Example: filename*=UTF-8''YourFileName.txt

X-Memsource-Note
string

For use with application/octet-stream

Path Parameters

projectUid
string
required

Body

note
string
required

Response

Created

id
string
uid
string
filename
string
note
string
dateCreated
string<date-time>
createdBy
object